------------
-- PRIEST --
------------
if (not Watcher) then
	return;
end

if (select(2, UnitClass('player')) ~= "PRIEST") then
    return;
end


Watcher.classDefaults["PRIEST"] = {
    ["newDefaultDate"] = 1414357992;
    ["priorityLists"] = {
        [1] = {
            ["settings"] = {};
            ["name"] = "Discipline";
            ["spellConditions"] = {
                [1] = {
                    ["filterSetId"] = 1;
                    ["spellId"] = 47540;
                    ["name"] = "Penance";
                };
                [2] = {
                    ["filterSetId"] = 7;
                    ["spellId"] = 14914;
                    ["name"] = "Holy Fire";
                };
                [3] = {
                    ["filterSetId"] = 8;
                    ["spellId"] = 129250;
                    ["name"] = "Power Word: Solace";
                };
                [4] = {
                    ["filterSetId"] = 9;
                    ["spellId"] = 589;
                    ["name"] = "Shadow Word: Pain";
                };
                [5] = {
                    ["filterSetId"] = 2;
                    ["spellId"] = 585;
                    ["name"] = "Smite";
                };
            };
            ["filters"] = {
                [1] = {
                    ["filterType"] = "spec";
                    ["specNum"] = 1;
                };
            };
        };
        [2] = {
            ["settings"] = {};
            ["spellConditions"] = {};
            ["name"] = "Holy";
            ["filters"] = {
                [1] = {
                    ["filterType"] = "spec";
                    ["specNum"] = 2;
                };
            };
        };
        [3] = {
            ["settings"] = {};
            ["spellConditions"] = {};
            ["name"] = "Shadow";
            ["filters"] = {
                [1] = {
                    ["filterType"] = "spec";
                    ["specNum"] = 3;
                };
            };
        };
    };
    ["version"] = 1;
    ["spells"] = {
        [47540] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["dropdownLabel"] = "";
                ["label"] = "";
            };
            ["filterSetIds"] = {
                [1] = true;
            };
        };
        [585] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["dropdownLabel"] = "";
                ["label"] = "";
            };
            ["filterSetIds"] = {
                [2] = true;
            };
        };
        [14914] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["dropdownLabel"] = "";
                ["label"] = "";
            };
            ["filterSetIds"] = {
                [6] = true;
                [7] = true;
            };
        };
        [589] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["dropdownLabel"] = "";
                ["label"] = "";
            };
            ["filterSetIds"] = {
                [4] = true;
                [9] = true;
            };
        };
        [129250] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["dropdownLabel"] = "";
                ["label"] = "";
            };
            ["filterSetIds"] = {
                [5] = true;
                [8] = true;
            };
        };
    };
    ["filterSets"] = {
        [1] = {
            ["name"] = "Usable";
            ["settings"] = {};
            ["spellId"] = 47540;
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [2] = {
            ["name"] = "Usable";
            ["settings"] = {};
            ["spellId"] = 585;
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [3] = {
            ["name"] = "Usable";
            ["settings"] = {};
            ["spellId"] = 129250;
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [4] = {
            ["name"] = "Usable";
            ["settings"] = {};
            ["spellId"] = 589;
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [5] = {
            ["name"] = "Usable";
            ["settings"] = {};
            ["spellId"] = 129250;
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [6] = {
            ["name"] = "Usable";
            ["settings"] = {};
            ["spellId"] = 14914;
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [7] = {
            ["name"] = "No Power Word: Solace";
            ["settings"] = {};
            ["spellId"] = 14914;
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["talentNum"] = 19761;
                    ["invert"] = true;
                    ["filterType"] = "talent";
                };
            };
        };
        [8] = {
            ["name"] = "With Talent";
            ["settings"] = {};
            ["spellId"] = 129250;
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["talentNum"] = 19761;
                    ["invert"] = false;
                    ["filterType"] = "talent";
                };
            };
        };
        [9] = {
            ["name"] = "Apply";
            ["settings"] = {};
            ["spellId"] = 589;
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["auraType"] = "HARMFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Shadow Word: Pain";
                    ["unit"] = "target";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = false;
                    ["remainingTime"] = 2;
                    ["stackCount"] = 0;
                    ["trackStacks"] = false;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = true;
                };
            };
        };
    };
};
